Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 980972 - please package new version, current fails with KeyError: 'sig'
Summary: please package new version, current fails with KeyError: 'sig'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: youtube-dl
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-03 17:33 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2013-07-11 02:31 UTC (History)
3 users (show)

Fixed In Version: youtube-dl-2013.07.02-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-11 02:31:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2013-07-03 17:33:56 UTC
Description of problem:
$ youtube-dl -tc https://www.youtube.com/watch?v=2H33bQZx4Ig
[youtube] Setting language
[youtube] 2H33bQZx4Ig: Downloading video webpage
[youtube] 2H33bQZx4Ig: Downloading video info webpage
[youtube] 2H33bQZx4Ig: Extracting video information
Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/bin/youtube-dl/__main__.py", line 18, in <module>
  File "/usr/bin/youtube-dl/youtube_dl/__init__.py", line 603, in main
  File "/usr/bin/youtube-dl/youtube_dl/__init__.py", line 587, in _real_main
  File "/usr/bin/youtube-dl/youtube_dl/FileDownloader.py", line 719, in download
  File "/usr/bin/youtube-dl/youtube_dl/FileDownloader.py", line 462, in extract_info
  File "/usr/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 99, in extract
  File "/usr/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 659, in _real_extract
KeyError: 'sig'

Version-Release number of selected component (if applicable):
youtube-dl-2013.05.23-1.fc19.noarch
Upstream v2013.07.02 works fine.

Comment 1 Christopher Meng 2013-07-03 17:38:06 UTC
Hi,

You can enable the updates-testing repo to receive the update.

I've packaged the 07.02 version yesterday.

And its painful to maintain such a package which can update 4 times in one day and bump the version to 06.34 which doesn't seem to be a valid date in calender... :-D

Please reply if you still have problem.

Comment 2 Fedora Update System 2013-07-03 17:41:43 UTC
youtube-dl-2013.07.02-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-12227/youtube-dl-2013.07.02-1.fc19

Comment 3 Fedora Update System 2013-07-11 02:31:26 UTC
youtube-dl-2013.07.02-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.